Subject: Re: bug#39394: vis editor doesn't respect user configuration

From: tsmish <[email-masked]>
Date: Mon, 3 Feb 2020 02:08:35 +0500

> I would go for renaming it like visrc.lua.example, or similar.

I don't really like this solution because while this particular
problem will be fixed, underlying issue of system paths having higher
priority than user ones will stay.
From what I can figure out from the
code(https://github.com/martanne/vis/blob/a4b64c5c396646bb2f14db3b4145a5482a2ff8bf/vis-lua.c#L2650)
$VIS_PATH is at the top of package.path which will make requires from
user configuration go there in case of files with same name.
Also this will probably make commands such as "set theme" ignore user
files from configuration directory when there is a file in system one.

Also there is VIS_PATH #define which seems to be intended way to set
path to system directory. It is set to /usr/local/share/vis by
default, but I don't see it
in help, which probably means it gets overwritten with some kind of guix magic.